## tdeio-locate-trinity 14.1.0

=== debian/changelog ===
tdeio-locate-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tdeio-locate

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 19 Jan 2023 05:34:48 +0100

tdeio-locate-trinity (0.4.5-1ubuntu4) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 Jul 2009 16:08:00 -0600

tdeio-locate-trinity (0.4.5-1ubuntu2) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 05 March 2009 29:52:00 -0600

tdeio-locate-trinity (0.4.5-1ubuntu1) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 04 Dec 2008 00:35:00 -0600

kio-locate (0.4.5-0ubuntu3) hardy; urgency=low

  * Rebuild with recent g++ compiler version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 Apr 2008 11:24:38 +0000

kio-locate (0.4.5-0ubuntu2) feisty; urgency=low

  * debian/control: Update maintainer fields according to debian-
    maintainer-field spec.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 26 Feb 2007 08:49:35 +0000

kio-locate (0.4.5-0ubuntu1) edgy; urgency=low

  * Sync with upstream.
  * Added an entry in debian/rules to work arround a build issue.
  * Switched to debhelper 5

 -- Anthony Mercatante <tonio@ubuntu.com>  Sun, 24 Jul 2006 23:30:58 +0200

kio-locate (0.4.5-1) unstable; urgency=low

  * New release of kio-locate.

 -- Armin Straub <linux@arminstraub.de>  Sun, 05 Feb 2006 17:02:09 +0100

kio-locate (0.4.4-1) unstable; urgency=low

  * New release of kio-locate.

 -- Armin Straub <linux@arminstraub.de>  Wed, 19 Oct 2005 18:01:59 +0200

kio-locate (0.4.3-1) unstable; urgency=low

  * New release of kio-locate.

 -- Armin Straub <linux@arminstraub.de>  Thu, 15 Sep 2005 09:12:38 +0200

kio-locate (0.4.2tvo0.2) breezy; urgency=low

  * New release of kio-locate.

 -- Tobi Vollebregt <tobivollebregt@gmail.com>  Sun, 21 Aug 2005 14:31:16 +0200

kio-locate (0.4.2tvo0.1) breezy; urgency=low

  * New release of kio-locate.
  * Minor changes for ubuntu.
  * Add bzip2 and python to build-deps.
  * Fix the clean rule.

 -- Tobi Vollebregt <tobivollebregt@gmail.com>  Thu, 14 Jul 2005 23:14:16 +0200

kio-locate (0.4.2-1) unstable; urgency=low

  * New release of kio-locate.

 -- Armin Straub <linux@arminstraub.de>  Sun, 22 May 2005 09:55:57 +0200

kio-locate (0.4.1-1) unstable; urgency=low

  * New release of kio-locate.

 -- Armin Straub <linux@arminstraub.de>  Sat, 21 May 2005 16:21:19 +0200

kio-locate (0.4.0-1) unstable; urgency=low

  * New release of kio-locate.
  * Adapted to the usage of scons.

 -- Armin Straub <linux@arminstraub.de>  Sun, 10 Apr 2005 13:12:28 +0200

kio-locate (0.3.4-1) unstable; urgency=low

  * New release of kio-locate.

 -- Armin Straub <linux@arminstraub.de>  Sat, 22 Jan 2005 16:13:54 +0100

kio-locate (0.3.3-1) unstable; urgency=low

  * New release of kio-locate.

 -- Armin Straub <linux@arminstraub.de>  Fri, 21 Jan 2005 10:23:13 +0100

kio-locate (0.3.2-1) unstable; urgency=low

  * New release of kio-locate.

 -- Armin Straub <linux@arminstraub.de>  Mon, 17 Jan 2005 16:38:47 +0100

kio-locate (0.3.1-1) unstable; urgency=low

  * New release of kio-locate.

 -- Armin Straub <linux@arminstraub.de>  Fri, 10 Dec 2004 10:24:34 +0100

kio-locate (0.3.0) unstable; urgency=low

  * New release of kio-locate.

 -- Armin Straub <linux@arminstraub.de>  Mon, 01 Nov 2004 08:41:55 +0100

kio-locate (0.2.4-2) unstable; urgency=low

  * Non-maintainer upload.
  * Reupload with orig.tar.gz named correctly.

 -- Christoffer Sawicki <qerub@home.se>  Sat, 30 Oct 2004 19:33:56 +0200

kio-locate (0.2.4-1) unstable; urgency=low

  * Non-maintainer upload.
  * This is a non-native package and should be treated as such.
  * Switched to CDBS.

 -- Christoffer Sawicki <qerub@home.se>  Sat, 30 Oct 2004 19:03:23 +0200

kio-locate (0.2.4) unstable; urgency=low

  * New release of kio-locate.

 -- Armin Straub <linux@arminstraub.de>  Tue, 26 Oct 2004 18:08:05 +0200

kio-locate (0.2.3) unstable; urgency=low

  * New release of kio-locate.

 -- Armin Straub <linux@arminstraub.de>  Mon, 25 Oct 2004 19:49:52 +0200

kio-locate (0.2.2) unstable; urgency=low

  * New release of kio-locate.
  * Adjusted the control file to the new release.

 -- Armin Straub <linux@arminstraub.de>  Sun, 24 Oct 2004 13:29:05 +0200

kio-locate (0.2.1) unstable; urgency=low

  * New release of kio-locate.
  * Using kde as the section instead of utils.

 -- Armin Straub <linux@arminstraub.de>  Fri, 22 Oct 2004 10:31:37 +0200

kio-locate (0.2.0) unstable; urgency=low

  * Complete rewrite.
  * Works with KDE 3.3.

 -- Armin Straub <linux@arminstraub.de>  Fri, 15 Oct 2004 08:20:36 +0200

kio-locate (0.1.1-1) unstable; urgency=low

  * Corrected URL prefix ("file:" instead of "file:/").
  * Update admin dir.

 -- Michael Schuerig <michael@schuerig.de>  Sun,  7 Mar 2004 13:10:35 +0100

kio-locate (0.1-2) unstable; urgency=low

  * Rebuild for KDE 3.1.

 -- Michael Schuerig <schuerig@acm.org>  Mon, 24 Feb 2003 09:07:34 +0100

kio-locate (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Michael Schuerig <schuerig@acm.org>  Sat, 14 Dec 2002 01:24:28 +0100

## tdeio-locate-trinity 14.1.1

=== CMakeLists.txt ===
#################################################
#
#  (C) 2011 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 3.1 )


##### general package setup #####################

project( tdeio_locate )


##### include essential cmake modules ###########

include( CheckCXXSourceCompiles )
include( CheckFunctionExists )
include( CheckIncludeFileCXX )
include( CheckLibraryExists )
include( CheckStructHasMember )
include( CheckSymbolExists )
include( CheckTypeSize )
include( FindPkgConfig )


##### include our cmake modules #################

include( TDEMacros )


##### set version number ########################

tde_set_project_version( )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules ####################

option( BUILD_ALL "Build all" OFF )
option( BUILD_DOC "Build doc" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### source directories ########################

add_subdirectory( src )
tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

=== debian/changelog ===
tdeio-locate-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tdeio-locate

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 25 Jul 2023 06:23:34 +0200

## tdeio-locate-trinity 14.1.2

=== debian/changelog ===
tdeio-locate-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tdeio-locate

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 21 Apr 2024 00:08:02 +0200

## tdeio-locate-trinity 14.1.3

=== debian/changelog ===
tdeio-locate-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tdeio-locate

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:40:06 +0200

## tdeio-locate-trinity 14.1.4

=== debian/changelog ===
tdeio-locate-trinity (4:14.1.4-0raspbian13.0.0+0) raspbian-trixie; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tdeio-locate

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
Source: tdeio-locate-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Tobi Vollebregt <tobivollebregt@gmail.com>
Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
Standards-Version: 3.8.4

Package: tdeio-locate-trinity
Architecture: any
Depends: ${shlibs:Depends}, mlocate | locate
Replaces: kio-locate-trinity (<< 4:14.0.0~)
Breaks: kio-locate-trinity (<< 4:14.0.0~)
Description: tdeio-slave for the locate command [Trinity]
 Adds support for the "locate:" and "locater:"
 protocols to Konqueror and other TDE applications.
 .
 This enables you to perform locate searches as you
 would in a terminal. The result is displayed just
 as a directory.

## tdeio-locate-trinity 14.1.5~pre2

=== debian/changelog ===
tdeio-locate-trinity (4:14.1.5~pre2-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 54425693397a5d791a3ae38c63db0f427baeff02
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdeio-locate

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdeio-locate-trinity 14.1.5

=== debian/changelog ===
tdeio-locate-trinity (4:14.1.5-0raspbian12.0.0+0) raspbian-bookworm; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdeio-locate

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Tobi Vollebregt <tobivollebregt@gmail.com>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: tdeio-locate-trinity

## tdeio-locate-trinity 14.1.6~pre0

=== debian/changelog ===
tdeio-locate-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 54425693397a5d791a3ae38c63db0f427baeff02
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeio-locate

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdeio-locate-trinity 14.1.6~pre1

=== debian/changelog ===
tdeio-locate-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for ad86aa92e2d242e27c3bc642f6cc75e34c058a2b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeio-locate

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:11:03 +0100

## tdeio-locate-trinity 14.2.0~pre22

=== doc/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_auto_add_subdirectories()

=== src/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/src
  ${CMAKE_SOURCE_DIR}/src
  ${CMAKE_SOURCE_DIR}/tdeio/tdeio
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE
     locate.protocol
     locater.protocol
     rlocate.protocol
  DESTINATION ${SERVICES_INSTALL_DIR}
)
tde_create_translated_desktop(
  SOURCE locate.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/searchproviders
)


##### tdeio_locate ##############################

set( target tdeio_locate )

set( ${target}_SRCS
  klocateconfig.kcfgc klocateconfigwidget.ui klocateconfigfilterwidget.ui
  klocateconfiglocatewidget.ui tdeio_locate.cpp locater.cpp pattern.cpp
)

tde_add_kpart( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== debian/changelog ===
tdeio-locate-trinity (4:14.2.0~pre22-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 411ca2ebb1955becb179408d3520ece47ef6bc29
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeio-locate

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## tdeio-locate-trinity 14.2.0~pre23

=== debian/changelog ===
tdeio-locate-trinity (4:14.2.0~pre23-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 121ac65729d6ad30eaca0c05aed999cfb4d040e8
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeio-locate

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:10:00 +0100
